Module | Sequel::JDBC::SQLite::DatabaseMethods
In: | lib/sequel/adapters/jdbc/sqlite.rb

Instance methods for SQLite Database objects accessed via JDBC.

### Methods

foreign_key_list indexes

### Included Modules

Sequel::SQLite::DatabaseMethods

### Constants

LAST_INSERT_ROWID | = | 'SELECT last_insert_rowid()'.freeze
FOREIGN_KEY_ERROR_RE | = | /query does not return ResultSet/.freeze

### Public Instance methods

foreign_key_list(table, opts={})

Swallow pointless exceptions when the foreign key list pragma doesn‘t return any rows.

[Source]

        # File lib/sequel/adapters/jdbc/sqlite.rb, line 15
    15:         def foreign_key_list(table, opts={})
    16:           super
    17:         rescue Sequel::DatabaseError => e
    18:           raise unless e.message =~ FOREIGN_KEY_ERROR_RE
    19:           []
    20:         end

indexes(table, opts={})

Swallow pointless exceptions when the index list pragma doesn‘t return any rows.

[Source]

        # File lib/sequel/adapters/jdbc/sqlite.rb, line 24
    24:         def indexes(table, opts={})
    25:           super
    26:         rescue Sequel::DatabaseError => e
    27:           raise unless e.message =~ FOREIGN_KEY_ERROR_RE
    28:           {}
    29:         end

[Validate]